Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#3977 closed defect (fixed)

metrics website package graphs stopped updating in August

Reported by: phobos Owned by: karsten
Priority: High Milestone:
Component: Metrics/CollecTor Version:
Severity: Keywords:
Cc: kaner Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

https://metrics.torproject.org/packages.html The graphs for overall and each individual country appear to have stopped in late August.

Child Tickets

Change History (16)

comment:1 Changed 8 years ago by arma

Cc: kaner added

comment:2 Changed 8 years ago by karsten

Priority: normalmajor

metrics-db cannot download the stats file from GetTor: Connection refused.

The same applies to the exit list which seems to be on the same server: Connection refused.

comment:3 Changed 8 years ago by arma

Cc: weasel added

Perhaps it's related to the byblos shift recently?

comment:4 Changed 8 years ago by weasel

maybe. probably depends on what it does.

comment:5 Changed 8 years ago by karsten

I don't know whether this has to do with byblos or moving around a VM. I need to be able to download the following two files that were made available via HTTP:

gettor_stats.txt:

2011-08-28 - None:1465 linux-browser-bundle-i386:0 linux-browser-bundle-i386_ar:0 [...] 
2011-08-29 - None:650 linux-browser-bundle-i386:0 linux-browser-bundle-i386_ar:0 [...] 
2011-08-30 - None:120 linux-browser-bundle-i386:0 linux-browser-bundle-i386_ar:0 [...]

exitAddresses:

ExitNode 00172B4E1F91AC8485885C8F63DBF65BFCBADD88
Published 2011-09-08 23:34:43
LastStatus 2011-09-09 09:02:44
ExitAddress 92.247.231.143 2011-09-09 09:02:59
[...]

comment:6 Changed 8 years ago by arma

Karsten, please specify what the two URLs are?

I'm guessing the gettor one went away because there used to be a cron job that put it somewhere you could reach, and the cron isn't running (or isn't working) anymore.

Kaner is your best bet for solving this one.

The tordnsel exitlist is a separate machine (m4.torproject.org) that only phobos (and maybe sebastian) can access. You'll want to ask him why that webserver went away. It might be smarter for that machine to scp its exitlist file over somewhere else, and export it from the somewhere else. In fact, there's a mysterious /srv/check.torproject.org/tordnsel/state/exit-addresses file on check.tp.o that presumably gets updated from somewhere. Perhaps it could be put into a directory that apache can read?

Phobos is your only option for solving this one.

comment:7 Changed 8 years ago by phobos

the webserver is running just fine on m4,

[Mon Sep 12 19:08:27 2011] [error] [client 38.229.70.37] Negotiation: discovered file(s) matching request: /home/gettor/public_html/gettor_stats.txt (None could be negotiated).

comment:8 Changed 8 years ago by phobos

The exit list has always been here, https://www.torproject.org/tordnsel/exitlist-spec.txt

comment:9 in reply to:  7 Changed 8 years ago by karsten

Replying to phobos:

the webserver is running just fine on m4,

Yes, I think kaner started it yesterday evening. Do we know why it wasn't running before that, and can we make sure it survives a reboot?

comment:10 in reply to:  8 ; Changed 8 years ago by karsten

Replying to phobos:

The exit list has always been here, https://www.torproject.org/tordnsel/exitlist-spec.txt

Erm, that's the exit list specification. :)

comment:11 in reply to:  10 ; Changed 8 years ago by karsten

The package graph works again. See the switch from bundles to languages.

Also, I just saw that the exit list is available again. Looks like this was related to the web server serving gettor_stats.txt. The question above remains, though. Leaving this ticket open until we have an answer.

comment:12 Changed 8 years ago by arma

To be clear, this is a question only kaner or phobos can answer.

comment:13 Changed 8 years ago by weasel

Cc: weasel removed

comment:14 Changed 8 years ago by phobos

Resolution: fixed
Status: newclosed

it appears this has been working fine for a month, closing.

comment:15 in reply to:  11 Changed 8 years ago by karsten

Replying to karsten:

Also, I just saw that the exit list is available again. Looks like this was related to the web server serving gettor_stats.txt. The question above remains, though. Leaving this ticket open until we have an answer.

The reason why this ticket was still open was that we didn't know why the gettor_stats.txt file was unavailable or whether it can happen again. Fine to close this ticket. When that file becomes unavailable again we can open a new ticket.

comment:16 Changed 8 years ago by phobos

we solved this in irc at the time, the web server was stopped, therefore the file was unavailable.

Note: See TracTickets for help on using tickets.